Committed Sun, 7 Feb 2010 prior to 8.0-RELEASE
-------
Subject: Re: kern/119298: [xfs] [patch] 7-Stable/sys/modules/xfs fails to make from world
From: eadler@@freebsd.org
Date: Fri, 15 Mar 2013 23:34:37 GMT (Sat 00:34 CET)
To: jhs@@berklix.org, eadler@@freebsd.org, kan@@freebsd.org

Synopsis: [xfs] [patch] 7-Stable/sys/modules/xfs fails to make from world

State-Changed-From-To: patched->closed
State-Changed-By: eadler
State-Changed-When: Fri Mar 15 23:34:37 UTC 2013
State-Changed-Why: 
MFCed/fixed by now or it will never be MFCed

http://www.freebsd.org/cgi/query-pr.cgi?pr=119298
-------

From owner-freebsd-stable@@freebsd.org Thu Jan  3 14:50:18 2008
Date: Thu, 3 Jan 2008 14:48:03 +0100 (CET)
Message-Id: <200801031348.m03Dm3dg092208@@fire.js.berklix.net>
To: FreeBSD-gnats-submit@@freebsd.org
From: "Julian H. Stacey" <jhs@@berklix.org>
X-send-pr-version: 3.113
X-GNATS-Notify: 
Cc: "Julian H. Stacey" <jhs@@berklix.com>, freebsd-stable@@freebsd.org
Subject: 7-Stable/sys/modules/xfs fails to make from world
X-BeenThere: freebsd-stable@@freebsd.org
X-Mailman-Version: 2.1.5
Precedence: list
List-Id: Production branch of FreeBSD source code <freebsd-stable.freebsd.org>
List-Archive: <http://lists.freebsd.org/pipermail/freebsd-stable>
List-Post: <mailto:freebsd-stable@@freebsd.org>
List-Help: <mailto:freebsd-stable-request@@freebsd.org?subject=help>
List-Subscribe: <http://lists.freebsd.org/mailman/listinfo/freebsd-stable>,
	<mailto:freebsd-stable-request@@freebsd.org?subject=subscribe>
Sender: owner-freebsd-stable@freebsd.org
Errors-To: owner-freebsd-stable@freebsd.org


>Submitter-Id:	current-users
>Originator:	Julian H. Stacey <jhs@@berklix.com>
>Organization:	http://www.berklix.com
>Confidential:	no 
>Synopsis:	7-Stable/sys/modules/xfs fails to make from world
>Severity:	serious 
>Priority:	medium 
>Category:	kern
>Class:		change-request 
>Release:	FreeBSD 7.0-PRERELEASE i386
>Environment:
System: FreeBSD lapn.js.berklix.net 7.0-PRERELEASE FreeBSD 7.0-PRERELEASE #0: Mon Dec 31 19:01:25 CET 2007     jhs@@lapn.js.berklix.net:/usr/src/sys/i386/compile/GENERIC  i386

	
>Description:
	
7-Stable/sys/modules/xfs fails to make from world
Been like that a few days (while my slow host made world) as:
 It's now Thu Jan  3 12:54:35 CET 2008,
 & from CTM delta dates of reception 
  (& Yes acknowledging ctm is Push whereas cvsup is Pull, 
   so a delay of maybe 12/24 hours).
Bad between src-7.0075 & src-7.0077.
 Dec 30 12:12 /pub/FreeBSD/development/CTM/src-7/src-7.0075.gz
 Jan  1 10:52 /pub/FreeBSD/development/CTM/src-7/src-7.0076.gz
 Jan  2 08:49 /pub/FreeBSD/development/CTM/src-7/src-7.0077.gz

With a src/ based on src-7.0075
 cd /usr/src  ; make world # ...
  ===> sys/modules/xfs (depend)
  @ -> /usr/src/sys
  machine -> /usr/src/sys/i386/include
  awk -f @/tools/vnode_if.awk @/kern/vnode_if.src -p
  awk -f @/tools/vnode_if.awk @/kern/vnode_if.src -q
  awk -f @/tools/vnode_if.awk @/kern/vnode_if.src -h
  make: don't know how to make xfsrtstubs.c. Stop
  *** Error code 2
  Stop in /usr/src/sys/modules.
 find . -name xfsrtstubs.c	# Nothing
 # UPDATE ...
 ctm -v /pub/FreeBSD/development/CTM/src-7/src-7.0.gz
 cd /sys/modules/xfs ; make clean ; make # Still Fails
 # Also fails on another 7.0-PRERELEASE host (though that hasnt gone through 
 # the rigour of a make world.

>How-To-Repeat:
	make world on stable-7
>Fix:

	


*** 7.0-PRERELEASE-src-7.0077/src/sys/modules/xfs/Makefile	Thu Jan  3 12:38:06 2008
--- new/src/sys/modules/xfs/Makefile	Thu Jan  3 12:43:32 2008
***************
*** 54,62 ****
  	xfs_iget.c \
  	xfs_attr_leaf.c \
  	xfs_attr.c \
- 	xfsrtstubs.c \
- 	xfsquotasstubs.c \
- 	xfsdmapistubs.c \
  	xfs_dmops.c \
  	xfs_qmops.c \
  	xfs_mountops.c \
--- 54,59 ----
***************
*** 81,86 ****
--- 78,87 ----
  	kmem.c \
  	kdb.c
  
+ #	xfsrtstubs.c \
+ #	xfsquotasstubs.c \
+ #	xfsdmapistubs.c \
+ 
  SRCS+=	opt_ddb.h
  
  .include <bsd.kmod.mk>

This patch & follow up at:
http://www.berklix.com/~jhs/src/bsd/fixes/freebsd/src/gen/sys/modules/xfs/Makefile.REL=ALL.diff
_______________________________________________
freebsd-stable@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-stable
To unsubscribe, send any mail to "freebsd-stable-unsubscribe@freebsd.org"
